Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions | Variables

# missing/langinfo.c File Reference

`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for langinfo.c:

Go to the source code of this file.

## Defines
#define | C_CODESET "US-ASCII"
#define | JA_CODESET "EUC-JP"
#define | digit(x) ((x) >= '0' && (x) <= '9')
#define | strstart(s, n) (strncasecmp(s, n, strlen(n)) == 0)
## Functions
const char * | nl_langinfo_codeset (void)
## Variables
static char | buf [16]

## Define Documentation

#define C_CODESET "US-ASCII"

Definition at line 47 of file langinfo.c.

Referenced by nl_langinfo_codeset().

#define digit | ( |  | x | ) | ((x) >= '0' && (x) <= '9')

Definition at line 57 of file langinfo.c.

Referenced by nl_langinfo_codeset(), and time_mload().

#define JA_CODESET "EUC-JP"

Definition at line 54 of file langinfo.c.

Referenced by nl_langinfo_codeset().

#define strstart | ( |  | s,
|  |  | n
| ) |  | (strncasecmp(s, n, strlen(n)) == 0)

Definition at line 58 of file langinfo.c.

Referenced by nl_langinfo_codeset().

## Function Documentation

const char* nl_langinfo_codeset | ( | void |  | ) |

Definition at line 63 of file langinfo.c.

References buf, C_CODESET, digit, getenv(), JA_CODESET, NULL, strchr(), and strstart.

Referenced by rb_locale_charmap().

## Variable Documentation

char buf[16]`[static]`

Definition at line 60 of file langinfo.c.